Subject: Issue Summary: Degree of CE-FE Separation

From: "Putzolu, David" <[email-masked]>
Date: Tue, 23 Apr 2002 15:27:43 -0700

All,

On March 26 I asked for list comments on the subject
of the degree of CE-FE separation. This was motivated
by discussion on the topic at IETF 53.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=2989

After significant list discussion I believe there is
consensus for focusing on the very close scenario at this
time.  While we should remain cognizant of the implications
of our design decisions on close scenarios, we should not
let ourselves become bogged down in intricacies that may
arise in such configurations.

The requirements and applicability statement should make sure
to reflect this consensus. I would also like the requirements
and applicability statements authors to review the new ideas
that have arisen to determine if they impact the current
documents or if they are issues for later WG deliverables.

Appended is a summary of the comments in the thread.

Thanks,
David

Comments that directly state a position on the
close vs. very close issue:

  So, while I think there may be reasons to be able to access
  FEs over an arbitrary network sometime in the future, I think
  we should just be focusing on today's problems and get that
  squared away.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=4362

  I agree with focusing on the "very close" locality in the
  first version of ForCES.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=3426

  I also agree with focusing on the "very close" locality
  for the first version of the protocol.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=3563

  I agree with Margaret and Alan on focusing on "very close"
  locality for the first version of the protocol... Keeping
  in mind that it may be extended later i.e. being intelligent
  about not precluding such extensions in the future.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=3702

  I agree as well.  If things ever get more separated, where
  intermediate routers are required between the CE/FE, it's
  possible that another level of hierarchy will be desirable.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=3842

  I had big difficulties with the wider option so I will go
  with the restricting the application to very close.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0203&L=forces&F=&S=&P=3973

  I disagree about focusing on the very close.  It think it
  is bad enough that we are forced to ignored the not-close.
  But limiting the protocol to the very close seems to me like
  it will limit the solution to such a narrow set of
  implementations;
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0204&L=forces&F=&S=&P=51

  Thus it seems to me that a protocol that handles "very-close"
  is pretty nearly a strict subset of a protocol that handles
  "close" or even "not-close" scenarios. What I'd like to see
  us do first is address the issues in the first list (this is
  hard enough) without being distracted by the issues in the
  second list.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0204&L=forces&F=&S=&P=297

  I agree to first focus on the "very close" case, then to
  deal with the "close" one.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0204&L=forces&F=&S=&P=930

The following comments discuss the issue of close/very-close
and propose looking at them in a somewhat different way:

  Expressing the problem this way, in terms of what problems
  we want to address and what we don't in the first round, is
  very much to the point.  (Terms like "close" and "very
  close" don't capture this.)
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0204&L=forces&F=&S=&P=422]

  Do we consider that this medium is in the scope of CE control,
  or do we assume that this is a different medium ? In the first
  case, I'm still concern by the fact that the CE could configure
  the FE in such a way that the traffic between FE and CE would
  be broken.
  Wouldn't be better to first consider that the control medium
  and data medium are different ? This would help us to better
  understand what it is needed between FE/CE, then we could deal
  with the ugly case of fate-sharing.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0204&L=forces&F=&S=&P=930

And finally, from the ADs:

  To make sure there's no confusion here: we're not barring
  from talking about the not-close issues, but rather supporting
  the idea of not requiring the WG to work on those right now
  to ensure faster progress.
http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0204&L=forces&F=&S=&P=803

For a complete list and details of all responses, please see the
following links to the ForCES mailing list archives:

http://peach.ease.lsoft.com/scripts/wa.exe?A1=ind0204&L=forces#5
http://peach.ease.lsoft.com/scripts/wa.exe?A1=ind0204&L=forces#6
http://peach.ease.lsoft.com/scripts/wa.exe?A1=ind0203&L=forces#14
http://peach.ease.lsoft.com/scripts/wa.exe?A1=ind0203&L=forces#15

Thanks,
David